### Function

# Secret password_lookup_sync

#### Declaration [src]

    gchar*
    secret_password_lookup_sync (
      const SecretSchema* schema,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Lookup a password in the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

If no secret is found then `NULL` is returned.

This method may block indefinitely and should not be used in user interface threads.

This function is not directly available to language bindings.

The implementation of this method is provided by `secret_password_lookupv_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError`

  Location to place an error on failure.

  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.

#### Return value

Type: `gchar*`

A new password string which should be freed with `secret_password_free()` or may be freed with `g_free()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.